Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class Path

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.compiler.Expression
            |
            +--org.apache.commons.jxpath.ri.compiler.Path

Direct Known Subclasses:
  ExpressionPath, LocationPath

public abstract class Path
extends Expression

Version:
  $Revision: 1.9 $ $Date: 2003/03/11 00:59:22 $
Author:
  Dmitri Plotnikov

Inner classes inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`Expression.PointerIterator, Expression.ValueIterator`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`NOT_A_NUMBER, ONE, ZERO`

Constructor Summary
`Path(Step[] steps)`

Method Summary
`protected boolean` | `areBasicPredicates(Expression[] predicates)`
`boolean` | `computeContextDependent()` Implemented by subclasses and result is cached by isContextDependent()
`protected EvalContext` | `createContextForStep(EvalContext context, int axis, NodeTest nodeTest)` Different axes are serviced by different contexts.
`protected EvalContext` | `evalSteps(EvalContext context)` Given a root context, walks a path therefrom and builds a context that contains all nodes matching the path.
`protected Pointer` | `getSingleNodePointerForSteps(EvalContext context)` Given a root context, walks a path therefrom and finds the pointer to the first element matching the path.
`Step[]` | `getSteps()`
`boolean` | `isSimplePath()` Recognized paths formatted as `foo/bar[3]/baz[@name = 'biz']` .

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`compute, computeValue, isContextDependent, iterate, iteratePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Path

    public Path(Step[] steps)

Method Detail

### getSteps

    public Step[] getSteps()

### computeContextDependent

    public boolean computeContextDependent()

  Description copied from class: `Expression`
  Implemented by subclasses and result is cached by isContextDependent()
  Overrides:
    `computeContextDependent` in class `Expression`

### isSimplePath

    public boolean isSimplePath()

  Recognized paths formatted as `foo/bar[3]/baz[@name = 'biz']` . The evaluation of such "simple" paths is optimized and streamlined.

### areBasicPredicates

    protected boolean areBasicPredicates(Expression[] predicates)

### getSingleNodePointerForSteps

    protected Pointer getSingleNodePointerForSteps(EvalContext context)

  Given a root context, walks a path therefrom and finds the pointer to the first element matching the path.

### evalSteps

    protected EvalContext evalSteps(EvalContext context)

  Given a root context, walks a path therefrom and builds a context that contains all nodes matching the path.

### createContextForStep

    protected EvalContext createContextForStep(EvalContext context,
                                               int axis,
                                               NodeTest nodeTest)

  Different axes are serviced by different contexts. This method allocates the right context for the supplied step.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.